<?php
session_start();
include_once('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');


//////////// PRUEBAS ////////////////
//$_SESSION['seleccionTipoPalet']=true;
////////////////////////////////////

$productos=arreglaArrayPXMobileProxiumResult($_SESSION['orden']['Productos']);

	
$tipoOrdenConPackingList=( ($_SESSION['orden']['TipoOrden']=='S' || $_SESSION['orden']['TipoOrden']=='A') && $_SESSION['orden']['PackingList'] );


//13-09-2022 mostrar ubicaciones
$pedirContenedorDestinoUbicacion=$_POST['pedirContenedorDestinoUbicacion'];

//27-10-2022
$gestionPickingCierrePalets=($_SESSION['parametrosSGA']['GestionPicking']=='SP' && $_SESSION['orden']['TipoOrden']=='P');


function listaPalets($ordenActual) {
	
	global $rutaHtml;
	global $pedirContenedorDestinoUbicacion;
	global $gestionPickingCierrePalets;
	
	?>
	<table cellpadding="5" style="margin:0 auto">
    <?php
	if($gestionPickingCierrePalets) {
		?>
			<tr>
			  <td>&nbsp;</td>
			  <td>&nbsp;</td>
              <?php if($gestionPickingCierrePalets) { ?>
			  <td>CERRADO</td>
              <?php } ?>
			  <td>&nbsp;</td>
			  <td>&nbsp;</td>
			  <td>&nbsp;</td>
			  <td>&nbsp;</td>
	  		</tr>
	<?php
	}
	
	foreach($_SESSION['agrupaciones'] as $palet) {
	

		
		if( ($ordenActual && $palet['EnOrdenPreparacionActual']=='S') || (!$ordenActual && !$palet['EnOrdenPreparacionActual']) ) {
		
			$cajas=array();
			if($palet['CajasPaletOrden']) $cajas=$palet['CajasPaletOrden'];
			
			?>
			
			<tr>
			<td width="60">
            <?php if($palet['EsCaja']=='S') { ?>
            <img src="<?php echo DIR_IMAGENES; ?>/caja-vacia.png" width="40" />
            <?php } else { ?>
            <img src="<?php echo DIR_IMAGENES; ?>/palet-vacio<?php if($_SESSION['tiposPalet'][$palet['TipoPalet']]['CHEP']=='S') { ?>-chep<?php } ?>.png" width="50" />
            <?php } ?>            </td>
            
			<td width="250"><h2><?php echo $palet['PaletPL']; ?></h2></td>
            
            <?php if($gestionPickingCierrePalets) { ?>
            <td width="150"><input name="pickingCerrarPalet<?php echo $palet['IDPalet']; ?>" id="pickingCerrarPalet<?php echo $palet['IDPalet']; ?>" type="checkbox" class="pickingCerrarPalet checkGrande" palet="<?php echo $palet['PaletPL']; ?>" <?php if($palet['PaletCerrado']=='S') { ?>checked<?php } ?> /></td>
            <?php } ?>
            
            <?php if($pedirContenedorDestinoUbicacion) { ?>
                
                <td width="150">
                	<?php echo $palet['Ubicacion']; ?>                </td>
                
            <?php } ?>
            
            <td align="left" width="225">
            
            <?php
			if($palet['EsCaja']=='S') {
				if($_SESSION['SeleccionTipoCajaSalida']) {
					foreach($_SESSION['tiposCajas'] as $tipoCaja) if($tipoCaja['Codigo']==$palet['TipoPalet']) echo $tipoCaja['Descripcion'];
				}
				else {
					echo $_SESSION['tiposPalet'][$palet['TipoPalet']]['Descripcion'];
				}
			}
            else if($_SESSION['seleccionTipoPalet']) {
				echo $_SESSION['tiposPalet'][$palet['TipoPalet']]['Descripcion'];
			}
			?>
            
            </td>
            
            <?php if($_SESSION['orden']['RequiereDimensionesPalets']=='S') { ?>
            <td width="200"><?php if($palet['Ancho'] && $palet['Alto'] && $palet['Fondo']) { ?><?php echo $palet['Ancho']; ?>x<?php echo $palet['Fondo']; ?>x<?php echo $palet['Alto']; ?> mm<?php } ?></td>
            <?php } ?>
            
            <?php if($_SESSION['orden']['RequierePesoPalets']=='S') { ?>
            <td width="100"><?php if($palet['Peso']) { ?><?php echo $palet['Peso']; ?> Kg<?php } ?></td>
            <?php } ?>
			</tr>
			<?php 
			
			if($_SESSION['gestionPaletizado']=='N') { 
				?><p class="medio">Cajas de esta Orden de Preparación: <strong><?php echo count($cajas); ?></strong> / Total cajas asociadas al Palet: <strong><?php echo $palet['CantidadCajasPalet']; ?></strong></p><?php
			}
			
			
			if(count($cajas)>0) {
				
					$colspan=2;
					if($_SESSION['seleccionTipoPalet']) $colspan++;
				
					?>
                    <tr>
                    <td colspan="<?php echo $colspan; ?>">
                    
                        <table class="tablaFormateada" style="margin-left:65px;">
                        <tr>
                          <th <?php if($_SESSION['SeleccionTipoCajaSalida']) { ?>colspan="2"<?php } ?>>Cajas incluidas en este Palet</th>
                        </tr>
                        <?php foreach($cajas as $caja) { ?>
                        <tr><td style="padding:10px 40px 10px 40px"><img src="<?php echo DIR_IMAGENES; ?>/caja-vacia.png" width="30" style="margin:0 10px -5px 0"/> <?php echo $caja['NumeroCaja']; ?></td>
                        <?php if($_SESSION['SeleccionTipoCajaSalida']) { ?>
                          <td style="padding:10px 40px 10px 0;border-left: 0;">
                          <?php
						  $tipoCajaHijo=$_SESSION['agrupaciones'][$palet['PaletPL']]['CajasTipos'][$caja['NumeroCaja']];
						  foreach($_SESSION['tiposCajas'] as $tipoCaja) if($tipoCaja['Codigo']==$tipoCajaHijo) echo $tipoCaja['Descripcion'];
						  ?>
                          </td>
                        <?php } ?>
                        </tr>
                        <?php } ?>
                      </table>                    </td>
                    </tr>
					<?php
			}	
			
		} //Si cumple la condicion de listado ordenActual
	
	} //Foreach palet
	
	?>
	</table>
<?php
}


?>
<p>Total Agrupaciones asociadas<?php if($tipoOrdenConPackingList) { ?> al Packing List <strong><?php echo $_SESSION['orden']['PackingList']; ?></strong><?php } ?>:</p>
<p><strong><?php echo $_POST['textoAgrupaciones']; ?></strong></p>

<p>Agrupaciones utilizadas en la Preparación actual:</p>

<?php listaPalets(true); ?>

<?php if($tipoOrdenConPackingList) { ?>

<p>Otras Agrupaciones asociadas al Packing List:</p>

<?php listaPalets(false); ?>

<?php } ?>

<?php if($_SESSION['orden']['RequiereDimensionesPalets']=='S' || $_SESSION['orden']['RequierePesoPalets']=='S') { ?>
<p><input type="submit" name="botonInformarAtributos" id="botonInformarAtributos" value="Informar atributos" class="boton"/></p>
<?php } ?>

<p><input type="submit" name="botonAceptarPalets" id="botonAceptarPalets" value="Cerrar" class="boton reducido"/></p>

<script>

	var hayCambiosRefrescar=false

	$(document).ready(function() {
	
		$('#botonInformarAtributos').on("click",function(e){
	
			$('#popupCargando').show();
			//window.location="orden-preparacion-S-palets-atributos.php";
			window.location="palets-informar-atributos.php?origen=preparacion";
		
		});
	
		$('#botonAceptarPalets').on("click",function(e){
	
			if(hayCambiosRefrescar) {
				$('#popupCargando').show();
				location.reload();
			}
			else{
				$('#popupPalets').hide();
				$('#popupPaletsContenido').hide();
				$('html,body').animate({ scrollTop: 0 }, "slow");
			}
		});
		
		<?php if($gestionPickingCierrePalets) { ?>
		
		$(document).on('click','.pickingCerrarPalet',function(){
			
			var selector=$(this);
			var palet=selector.attr('palet');
			var cerrar;
			
			if( selector.is(':checked') ) cerrar='S';
			else cerrar='N';
			
			$('#popupCargando').show();
					
			$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-picking-cerrar-palet.php", { 'palet' : palet , 'cerrar' : cerrar } )
			.done(function(data) {
				$('#popupCargando').hide();
				var resultado=data.split('#');
				if(resultado[0]=='1') {
					alert('ERROR: '+resultado[1],null,'error')
					.done(function(){
						if(cerrar=='S') selector.prop('checked',false);
						else selector.prop('checked',true);
					});
				}
				hayCambiosRefrescar=true;		
			});
					
			
		});
		
		<?php } ?>
	
	});
	
</script>